# Session Class

### NAMESPACE

RASAdminEngine.Core.OutputModels

### DESCRIPTION

Session

### INHERITED FROM

[RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html)⇒Session

### INTERFACES

* ISerializable
* IComparable

### PUBLIC PROPERTIES

| Type    | Name                      | Description |                                                                                     |
| ------- | ------------------------- | ----------- | ----------------------------------------------------------------------------------- |
| Boolean | ApplySettingsEnabled      |             | Specifies if Settings need to be applied or not.                                    |
| String  | AuthToken                 |             | The Authentication Token of the current session.                                    |
| String  | ConnectedServer           |             | The Server that the current session is connected to.                                |
| UInt32  | ConnectedSiteId           |             | The Site ID to which the current session is connected to.                           |
| String  | Domain                    |             | Specifies the Domain where the Connection Broker is installed.                      |
| String  | FarmGUID                  |             | Specifies the Farm GUID.                                                            |
| String  | FarmName                  |             | Specifies the Farm Name.                                                            |
| String  | LicensingServer           |             | The Licensing Server.                                                               |
| Boolean | LicensingServerConnection |             | Specifies if the session is connected is with the Licensing Server.                 |
| Boolean | LocalAuth                 |             | Specifies if the user is Locally Authenticated or with RAS Connection Broker.       |
| Boolean | PrimaryBrokerConnection   |             | Specifies if the session is connected with the Primary Connection Broker of a Site. |
| UInt32  | SessionId                 |             | The ID of the current session.                                                      |
| UInt32  | SettingsId                |             | The current Settings ID.                                                            |
| UInt32  | UserId                    |             | The User ID connected to the current session.                                       |

### PUBLIC METHODS

| Type    | Name                   | Description                                                                                                                                                    |   |
| ------- | ---------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | - |
| Int32   | CompareTo (Object obj) | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Boolean | Equals (Object obj)    | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Int32   | GetHashCode ()         | Inherited from [RASSerilazableObj](https://download.parallels.com/ras/v19/docs/en_US/Parallels-RAS-v19-PowerShell-Guide/RASAdmin/types/RASSerilazableObj.html) |   |
| Type    | GetType ()             |                                                                                                                                                                |   |
| String  | ToString ()            |                                                                                                                                                                |   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v19/parallels-ras-powershell-admin-module/class/session-class.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
